Ticket #27492: error_message_Sage_9.2.beta6.txt

File error_message_Sage_9.2.beta6.txt, 7.2 KB (added by egourgoulhon, 3 years ago)
Line 
1sage: s = t.contract(v)
2---------------------------------------------------------------------------
3RemoteTraceback                           Traceback (most recent call last)
4RemoteTraceback:
5"""
6Traceback (most recent call last):
7  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/interface.py", line 718, in __init__
8    self._name = parent._create(value, name=name)
9  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/maxima_lib.py", line 605, in _create
10    self.set(name, value)
11  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/maxima_lib.py", line 514, in set
12    self.eval(cmd)
13  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/maxima_lib.py", line 460, in _eval_line
14    maxima_eval("#$%s$" % statement)
15  File "sage/libs/ecl.pyx", line 813, in sage.libs.ecl.EclObject.__call__ (build/cythonized/sage/libs/ecl.c:8402)
16    lispargs = EclObject(list(args))
17  File "sage/libs/ecl.pyx", line 678, in sage.libs.ecl.EclObject.__init__ (build/cythonized/sage/libs/ecl.c:7921)
18    self.set_obj(python_to_ecl(args[0]))
19  File "sage/libs/ecl.pyx", line 480, in sage.libs.ecl.python_to_ecl (build/cythonized/sage/libs/ecl.c:6955)
20    L=cl_cons(python_to_ecl(pyobj[0]),Cnil)
21  File "sage/libs/ecl.pyx", line 461, in sage.libs.ecl.python_to_ecl (build/cythonized/sage/libs/ecl.c:6649)
22    return ecl_safe_funcall(read_from_string_clobj, o)
23  File "sage/libs/ecl.pyx", line 352, in sage.libs.ecl.ecl_safe_funcall (build/cythonized/sage/libs/ecl.c:5707)
24    raise RuntimeError("ECL says: {}".format(
25RuntimeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
26
27During handling of the above exception, another exception occurred:
28
29Traceback (most recent call last):
30  File "/home/eric/sage/9.2.develop/local/lib/python3.7/multiprocessing/pool.py", line 121, in worker
31    result = (True, func(*args, **kwds))
32  File "sage/misc/fpickle.pyx", line 100, in sage.misc.fpickle.call_pickled_function (build/cythonized/sage/misc/fpickle.c:2313)
33    res = eval("f(*args, **kwds)",sage.all.__dict__, {'args':args, 'kwds':kwds, 'f':f})
34  File "<string>", line 1, in <module>
35  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/tensor/modules/comp.py", line 2329, in make_Contraction
36    sm += this[[ind_s]] * other[[ind_o]]
37  File "sage/structure/element.pyx", line 1513, in sage.structure.element.Element.__mul__ (build/cythonized/sage/structure/element.c:12104)
38    return (<Element>left)._mul_(right)
39  File "sage/structure/element.pyx", line 2473, in sage.structure.element.RingElement._mul_ (build/cythonized/sage/structure/element.c:17503)
40    cpdef _mul_(self, other):
41  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/scalarfield.py", line 2561, in _mul_
42    result._express[chart] = self._express[chart] * other._express[chart]
43  File "sage/structure/element.pyx", line 1513, in sage.structure.element.Element.__mul__ (build/cythonized/sage/structure/element.c:12104)
44    return (<Element>left)._mul_(right)
45  File "sage/structure/element.pyx", line 2473, in sage.structure.element.RingElement._mul_ (build/cythonized/sage/structure/element.c:17503)
46    cpdef _mul_(self, other):
47  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/chart_func.py", line 1390, in _mul_
48    res = self._simplify(self.expr() * other.expr())
49  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/chart_func.py", line 393, in _simplify
50    res = self._calc_method.simplify(expr)
51  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/calculus_method.py", line 276, in simplify
52    return self._simplify_dict[method](expression)
53  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/utilities.py", line 596, in simplify_chain_real
54    expr = expr.simplify_factorial()
55  File "sage/symbolic/expression.pyx", line 10484, in sage.symbolic.expression.Expression.simplify_factorial (build/cythonized/sage/symbolic/expression.cpp:55113)
56    return self.parent()(self._maxima_().makefact().factcomb().minfactorial())
57  File "sage/symbolic/expression.pyx", line 1015, in sage.symbolic.expression.Expression._maxima_ (build/cythonized/sage/symbolic/expression.cpp:7880)
58    return super(Expression, self)._interface_(maxima)
59  File "sage/structure/sage_object.pyx", line 684, in sage.structure.sage_object.SageObject._interface_ (build/cythonized/sage/structure/sage_object.c:5671)
60    X = I(s)
61  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/interface.py", line 296, in __call__
62    return cls(self, x, name=name)
63  File "/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/interfaces/interface.py", line 720, in __init__
64    raise TypeError(x)
65TypeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
66"""
67
68The above exception was the direct cause of the following exception:
69
70TypeError                                 Traceback (most recent call last)
71<ipython-input-9-454e7fc68fed> in <module>()
72----> 1 s = t.contract(v)
73
74/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/differentiable/tensorfield_paral.py in contract(self, *args)
75   1777         # This is to ensure the call to the TensorField version instead of
76   1778         # the FreeModuleTensor one
77-> 1779         return TensorField.contract(self, *args)
78   1780
79   1781     def __mul__(self, other):
80
81/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/manifolds/differentiable/tensorfield.py in contract(self, *args)
82   3306             # call of the FreeModuleTensor version:
83   3307             args = pos1 + (other_r,) + pos2
84-> 3308             return FreeModuleTensor.contract(self_r, *args)
85   3309         com_dom = []
86   3310         for dom in self_r._restrictions:
87
88/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/tensor/modules/free_module_tensor.py in contract(self, *args)
89   2837             raise ValueError("no common basis for the contraction")
90   2838         args = pos1 + (other._components[basis],) + pos2
91-> 2839         cmp_res = self._components[basis].contract(*args)
92   2840         if self._tensor_rank + other._tensor_rank - 2*ncontr == 0:
93   2841             # Case of scalar output:
94
95/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/tensor/modules/comp.py in contract(self, *args)
96   2331                 return local_res
97   2332
98-> 2333             for ii, val in make_Contraction(listParalInput):
99   2334                 for jj in val:
100   2335                       res[[jj[0]]] = jj[1]
101
102/home/eric/sage/9.2.develop/local/lib/python3.7/site-packages/sage/parallel/multiprocessing_sage.py in parallel_iter(processes, f, inputs)
103     75     result = p.imap_unordered(call_pickled_function,
104     76                               [(fp, t) for t in inputs])
105---> 77     for res in result:
106     78         yield res
107     79     p.close()
108
109/home/eric/sage/9.2.develop/local/lib/python3.7/multiprocessing/pool.py in next(self, timeout)
110    746         if success:
111    747             return value
112--> 748         raise value
113    749
114    750     __next__ = next                    # XXX
115
116TypeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.